Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.metadata
Interface CasProcessorExecArgs

All Superinterfaces:
  Serializable

    public interface CasProcessorExecArgs

extends Serializable

An object containing all `CasProcessorExecArg` instances. It provides the means of adding new program arguments, retrieving them, and removing them.

Method Summary
`void` | `add(CasProcessorExecArg aArg)` Adds new `CasProcessorExecArg` instance to the list.
`CasProcessorExecArg` | `get(int aIndex)` Returns an `CasProcessorExecArg` instance located with provided index.
`CasProcessorExecArg[]` | `getAll()` Returns ALL `CasProcessorExecArg` instances.
`void` | `remove(int aIndex)` Removes `CasProcessorExecArg` instance found in the list in a given position.

Method Detail

### add

    void add(CasProcessorExecArg aArg)

  Adds new `CasProcessorExecArg` instance to the list.

  Parameters:
    `aArg` - - new argument

### get

    CasProcessorExecArg get(int aIndex)
                            throws CpeDescriptorException

  Returns an `CasProcessorExecArg` instance located with provided index.

  Parameters:
    `aIndex` - - position of argument in the list
  Returns:
    - `CasProcessorExecArg` instance
  Throws:
    `CpeDescriptorException`

### getAll

    CasProcessorExecArg[] getAll()

  Returns ALL `CasProcessorExecArg` instances.

  Returns:
    array of `CasProcessorExecArg`

### remove

    void remove(int aIndex)

  Removes `CasProcessorExecArg` instance found in the list in a given position.

  Parameters:
    `aIndex` - - position of argument to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.